///
/// \file typesC99.h
/// \brief Bypasses the lack of header files on some C-compilers
///

#ifndef GRD_TYPES_C99_H_
#define GRD_TYPES_C99_H_

#if defined (_MSC_VER) && _MSC_VER >= 1600
#define HAVE_STDINT_H
#endif // _MSC_VER

#if defined (__GNUC__)
#define HAVE_STDINT_H
#define HAVE_STDBOOL_H
#endif // __GNUC__

#if defined (HAVE_STDINT_H)
#include <stdint.h>
#else
#include "c99/stdint.h"
#endif // HAVE_STDINT_H

#if defined (HAVE_STDBOOL_H)
#include <stdbool.h>
#else
#include "c99/stdbool.h"
#endif // HAVE_STDBOOL_H

#endif // GRD_TYPES_C99_H_
